Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Param_Dcl Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Param_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Param_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Param_Dcl (TAO_PSDL_Node *param_attribute, TAO_PSDL_Node *param_type_spec, TAO_PSDL_Node *simple_declarator)
| ****************************************************************. More...
| TAO_PSDL_Param_Dcl (TAO_PSDL_Node *param_attribute, TAO_PSDL_Node *param_type_spec, TAO_PSDL_Node *simple_declarator, TAO_PSDL_Node *param_dcl)
virtual | ~TAO_PSDL_Param_Dcl (void)
TAO_PSDL_Node * | param_attribute (void) const
| Get the value. More...
TAO_PSDL_Node * | param_type_spec (void) const
TAO_PSDL_Node * | simple_declarator (void) const
TAO_PSDL_Node * | param_dcl (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | param_attribute_
| The values. More...
TAO_PSDL_Node * | param_type_spec_
TAO_PSDL_Node * | simple_declarator_
TAO_PSDL_Node * | param_dcl_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Param_Dcl::TAO_PSDL_Param_Dcl | ( | TAO_PSDL_Node * | param_attribute,
|  | TAO_PSDL_Node * | param_type_spec,
|  | TAO_PSDL_Node * | simple_declarator
| ) |

| ****************************************************************.

TAO_PSDL_Param_Dcl::TAO_PSDL_Param_Dcl | ( | TAO_PSDL_Node * | param_attribute,
|  | TAO_PSDL_Node * | param_type_spec,
|  | TAO_PSDL_Node * | simple_declarator,
|  | TAO_PSDL_Node * | param_dcl
| ) |

TAO_PSDL_Param_Dcl::~TAO_PSDL_Param_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Param_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Param_Dcl::param_attribute | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Param_Dcl::param_dcl | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Param_Dcl::param_type_spec | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Param_Dcl::simple_declarator | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Param_Dcl::param_attribute_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Param_Dcl::param_dcl_`[private]`

TAO_PSDL_Node* TAO_PSDL_Param_Dcl::param_type_spec_`[private]`

TAO_PSDL_Node* TAO_PSDL_Param_Dcl::simple_declarator_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp